org.apache.ignite.internal.metric

## Class IoStatisticsHolderNoOp

- java.lang.Object
- - org.apache.ignite.internal.metric.IoStatisticsHolderNoOp

All Implemented Interfaces:
  IoStatisticsHolder

    public class IoStatisticsHolderNoOp
    extends Object
    implements IoStatisticsHolder

No Operation IO statistics holder. Use in case statistics shouldn't be gathered.

### Field Summary

Fields
`static IoStatisticsHolderNoOp` `INSTANCE` No-op statistics.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `logicalReads()`
`String` `metricRegistryName()`
`long` `physicalReads()`
`void` `trackLogicalRead(long pageAddr)` Track logical read of given page.
`void` `trackPhysicalAndLogicalRead(long pageAddr)` Track physical and logical read of given page.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final IoStatisticsHolderNoOp INSTANCE

No-op statistics.

### Method Detail

#### trackLogicalRead

    public void trackLogicalRead(long pageAddr)

Track logical read of given page.

Specified by:
  `trackLogicalRead` in interface `IoStatisticsHolder`
Parameters:
  `pageAddr` - Address of page.

#### trackPhysicalAndLogicalRead

    public void trackPhysicalAndLogicalRead(long pageAddr)

Track physical and logical read of given page.

Specified by:
  `trackPhysicalAndLogicalRead` in interface `IoStatisticsHolder`
Parameters:
  `pageAddr` - start address of page.

#### logicalReads

    public long logicalReads()

Specified by:
  `logicalReads` in interface `IoStatisticsHolder`
Returns:
  Number of logical reads.

#### physicalReads

    public long physicalReads()

Specified by:
  `physicalReads` in interface `IoStatisticsHolder`
Returns:
  Number of physical reads.

#### metricRegistryName

    public String metricRegistryName()

Specified by:
  `metricRegistryName` in interface `IoStatisticsHolder`
Returns:
  Metric registry name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020